Subject: Re: linux-next: manual merge of the cxl-fixes tree with Linus' tree

From: Dan Williams <[email-masked]>
Date: Mon, 26 Feb 2024 15:01:49 -0800

Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the cxl-fixes tree got a conflict in:
> 
>   drivers/cxl/acpi.c
> 
> between commit:
> 
>   5c6224bfabbf ("cxl/acpi: Fix load failures due to single window creation failure")
> 
> from Linus' tree and commit:
> 
>   5141fa1ec23f ("cxl/acpi: Fix load failures due to single window creation failure")
> 
> from the cxl-fixes tree.
> 
> I fixed it up (I just used the version from Linus' tree) and can carry the
> fix as necessary. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.

Thanks, Steven. Will drop that out of the fixes branch. I ended up with
a late refresh of what was included in the tagged pull vs what was
soaking in linux-next.